<?php

try {
	// Attributes:
	require_once('./app/Mage.php');
	umask(0);
	Mage::app('default');
	$resource = Mage::getSingleton("core/resource");

	$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
	$setup->run("DELETE FROM " . $resource->getTableName('core_config_data') . " WHERE `path` LIKE  'currency/options/format'");
	$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'specialsettings_setup'");

	// Files:
	$paths = array(
		'/app/design/adminhtml/default/default/layout/specialsettings.xml',
		'/app/design/adminhtml/default/default/template/specialsettings/',
		'/app/design/frontend/base/default/layout/specialsettings.xml',
		'/app/design/frontend/base/default/template/specialsettings/',
		'/app/code/local/Plumrocket/Specialsettings/',
		'/app/etc/modules/Plumrocket_Specialsettings.xml',
		'/skin/frontend/base/default/js/plumrocket/specialsettings/'
	);

	$basePath = dirname(__FILE__);
	foreach ($paths as $path) {
		exec('rm -rf ' . $basePath . $path);
	}

	Mage::app()->cleanCache();
} catch (Mage_Core_Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
} catch (Exception $e) {
	echo '<h2>' . $e->getMessage() . '</h2>';
	exit;
}
echo 'Success!';

?>
